kind: Pod
apiVersion: v1
metadata:
  generateName: version-4.10.5-qgr4c-
  annotations:
    k8s.ovn.org/pod-networks: >-
      {"default":{"ip_addresses":["10.129.0.204/23"],"mac_address":"0a:58:0a:81:00:cc","gateway_ips":["10.129.0.1"],"ip_address":"10.129.0.204/23","gateway_ip":"10.129.0.1"}}
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.204"
          ],
          "mac": "0a:58:0a:81:00:cc",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.204"
          ],
          "mac": "0a:58:0a:81:00:cc",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: stackrox-collector
  resourceVersion: '50900398'
  name: version-4.10.5-qgr4c-xd789
  uid: edbb1f29-3098-471c-bd7a-801cedd7c320
  creationTimestamp: '2022-06-08T23:06:09Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2022-06-08T23:06:09Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"batch.kubernetes.io/job-tracking"': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:controller-uid': {}
            'f:job-name': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"26c1eea7-5747-4a65-9c52-74d4e1e90f5b"}': {}
        'f:spec':
          'f:nodeName': {}
          'f:volumes':
            .: {}
            'k:{"name":"payloads"}':
              .: {}
              'f:hostPath':
                .: {}
                'f:path': {}
                'f:type': {}
              'f:name': {}
          'f:containers':
            'k:{"name":"payload"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/etc/cvo/updatepayloads"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:ephemeral-storage': {}
                  'f:memory': {}
              'f:args': {}
              'f:command': {}
              'f:securityContext':
                .: {}
                'f:privileged': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:priorityClassName': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: ocp410new-ncqql-master-0
      operation: Update
      apiVersion: v1
      time: '2022-06-08T23:06:09Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/pod-networks': {}
    - manager: multus
      operation: Update
      apiVersion: v1
      time: '2022-06-08T23:06:12Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
            'f:k8s.v1.cni.cncf.io/networks-status': {}
      subresource: status
    - manager: Go-http-client
      operation: Update
      apiVersion: v1
      time: '2022-06-08T23:06:28Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            .: {}
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"PodScheduled"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.129.0.204"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: openshift-cluster-version
  ownerReferences:
    - apiVersion: batch/v1
      kind: Job
      name: version-4.10.5-qgr4c
      uid: 26c1eea7-5747-4a65-9c52-74d4e1e90f5b
      controller: true
      blockOwnerDeletion: true
  finalizers:
    - batch.kubernetes.io/job-tracking
  labels:
    controller-uid: 26c1eea7-5747-4a65-9c52-74d4e1e90f5b
    job-name: version-4.10.5-qgr4c
spec:
  nodeSelector:
    node-role.kubernetes.io/master: ''
  restartPolicy: OnFailure
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-h5ttw
  priority: 1000000000
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: ocp410new-ncqql-master-0
  securityContext: {}
  containers:
    - resources:
        requests:
          cpu: 10m
          ephemeral-storage: 2Mi
          memory: 50Mi
      terminationMessagePath: /dev/termination-log
      name: payload
      command:
        - /bin/sh
      securityContext:
        privileged: true
        readOnlyRootFilesystem: false
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: payloads
          mountPath: /etc/cvo/updatepayloads
        - name: kube-api-access-kjkvv
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        quay.io/openshift-release-dev/ocp-release@sha256:f77f4f75c1e1a4ddd0a0355f298a834db3473fd9ca473235013e9419d1df16db
      args:
        - '-c'
        - >-
          mkdir -p /etc/cvo/updatepayloads/4ENFMGrGePMHpleO-OWNaQ && mv
          /manifests /etc/cvo/updatepayloads/4ENFMGrGePMHpleO-OWNaQ/manifests &&
          mkdir -p /etc/cvo/updatepayloads/4ENFMGrGePMHpleO-OWNaQ && mv
          /release-manifests
          /etc/cvo/updatepayloads/4ENFMGrGePMHpleO-OWNaQ/release-manifests
  serviceAccount: default
  volumes:
    - name: payloads
      hostPath:
        path: /etc/cvo/updatepayloads
        type: ''
    - name: kube-api-access-kjkvv
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node-role.kubernetes.io/master
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
  priorityClassName: openshift-user-critical
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-06-08T23:06:09Z'
    - type: Ready
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2022-06-08T23:06:28Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [payload]'
    - type: ContainersReady
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2022-06-08T23:06:28Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [payload]'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-06-08T23:06:09Z'
  hostIP: 192.168.1.68
  podIP: 10.129.0.204
  podIPs:
    - ip: 10.129.0.204
  startTime: '2022-06-08T23:06:09Z'
  containerStatuses:
    - restartCount: 4
      started: false
      ready: false
      name: payload
      state:
        terminated:
          exitCode: 1
          reason: Error
          startedAt: '2022-06-08T23:07:48Z'
          finishedAt: '2022-06-08T23:07:48Z'
          containerID: >-
            cri-o://638583f009aa2ca668176c2487c832af9fa9cbc6806dcca66622693623d306b1
      imageID: >-
        quay.io/openshift-release-dev/ocp-release@sha256:f77f4f75c1e1a4ddd0a0355f298a834db3473fd9ca473235013e9419d1df16db
      image: >-
        quay.io/openshift-release-dev/ocp-release@sha256:f77f4f75c1e1a4ddd0a0355f298a834db3473fd9ca473235013e9419d1df16db
      lastState:
        terminated:
          exitCode: 1
          reason: Error
          startedAt: '2022-06-08T23:06:57Z'
          finishedAt: '2022-06-08T23:06:57Z'
          containerID: >-
            cri-o://f47f94c3b87890a61fe463d828d067996bfee30b6e1cdb4644b6944ccd95c89e
      containerID: 'cri-o://638583f009aa2ca668176c2487c832af9fa9cbc6806dcca66622693623d306b1'
  qosClass: Burstable
